Skip to main content
GET
/
v1
/
scrape
/
tiktok
/
profile
Profile
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/tiktok/profile \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.sociavault.com/v1/scrape/tiktok/profile"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.sociavault.com/v1/scrape/tiktok/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "success": true,
    "user": {
      "id": "6659752019493208069",
      "shortId": "",
      "uniqueId": "stoolpresidente",
      "nickname": "Dave Portnoy",
      "avatarLarger": "https://p19-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/7310178711609032710~tplv-tiktokx-cropcenter:1080:1080.jpeg",
      "avatarMedium": "https://p16-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/7310178711609032710~tplv-tiktokx-cropcenter:720:720.jpeg",
      "avatarThumb": "https://p19-common-sign.tiktokcdn-us.com/tos-maliva-avt-0068/7310178711609032710~tplv-tiktokx-cropcenter:100:100.jpeg",
      "signature": "El Presidente/Barstool Sports Founder.",
      "createTime": 1550594547,
      "verified": true,
      "secUid": "MS4wLjABAAAAINC_ElRR-l1RCcnEjOZhNO-9wOzAMf-YHXqRY8vvG9bEhMRa6iu23TaE3JPZYXBD",
      "ftc": false,
      "relation": 0,
      "openFavorite": false,
      "bioLink": {
        "link": "https://youtu.be/lN0jRqTlGeU?si=JLcTbGpgEPQUeDaC",
        "risk": 0
      },
      "commentSetting": 0,
      "commerceUserInfo": {
        "commerceUser": false
      },
      "duetSetting": 0,
      "stitchSetting": 0,
      "privateAccount": false,
      "secret": false,
      "isADVirtual": false,
      "roomId": "",
      "uniqueIdModifyTime": 0,
      "ttSeller": false,
      "downloadSetting": 0,
      "profileTab": {
        "showMusicTab": false,
        "showQuestionTab": false,
        "showPlayListTab": true
      },
      "followingVisibility": 1,
      "recommendReason": "",
      "nowInvitationCardUrl": "",
      "nickNameModifyTime": 0,
      "isEmbedBanned": false,
      "canExpPlaylist": true,
      "profileEmbedPermission": 1,
      "language": "en",
      "eventList": {},
      "suggestAccountBind": false,
      "isOrganization": 0,
      "UserStoryStatus": 0
    },
    "stats": {
      "followerCount": 4600000,
      "followingCount": 90,
      "heart": 217600000,
      "heartCount": 217600000,
      "videoCount": 2329,
      "diggCount": 0,
      "friendCount": 61
    },
    "statsV2": {
      "followerCount": "4567606",
      "followingCount": "90",
      "heart": "217637994",
      "heartCount": "217637994",
      "videoCount": "2329",
      "diggCount": "0",
      "friendCount": "61"
    },
    "itemList": {}
  },
  "credits_used": 1,
  "endpoint": "tiktok/profile"
}
{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}
{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}
{
"error": "Insufficient credits",
"required": 1,
"available": 0
}
{
"error": "Service configuration error"
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

handle
string
required

TikTok handle

Example:

"stoolpresidente"

Response

Successful response

user
object
required
stats
object
required
itemList
any[]
required